1

I update my Joomla version from 3.9.13 to 3.9.25 then I received this error:

Warning: require_once(/home/MYHOST/public_html/MYSITE/libraries/joomla/document/html/renderer/head.php): failed to open stream: No such file or directory in /home/MYHOST/public_html/MYSITE/templates/MYTEMPLATE/error.php on line 44

Fatal error: require_once(): Failed opening required '/home/MYHOST/public_html/MYSITE/libraries/joomla/document/html/renderer/head.php' (include_path='.:/opt/cpanel/ea-php73/root/usr/share/pear') in /home/MYHOST/public_html/MYSITE/templates/MYTEMPLATE/error.php on line 44

I searched online and found this advice:

in MYTEMPLATE error.php change this line

require_once(JPATH_LIBRARIES.'/joomla/document/html/renderer/head.php');

to this:

if (!class_exists('JDocumentRendererHead')) {
    $head = JPATH_LIBRARIES . '/joomla/document/html/renderer/head.php';
    if (file_exists($head)) {
        require_once($head);
    }
}

My problem was fixed, but then I got error 404 and this error:

linkGraylighter is undefined: /home/MYHOST/public_html/MYSITE/templates/MYTEMPLATE/less/presets.less on line 204

I checked this line, but I can't find any code here just some enter...

I delete enter, but I receive error on line 203 and in 203 line you can see just ( } ).

2
  • Welcome to JSE. Please take our tour while you wait for support. – mickmackusa Apr 6 at 22:56
  • Please make sure you're using the latest version of thw Helix template. Judging by the fact you had to make that change to the error.php file which already exists in latter versions, you must be using an older version – Lodder Apr 7 at 10:19
0

I find my problem.

For fix this problem :

Go to Helix template > advanced tab > Compile LESS to CSS = NO

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.